/*
@mixin lightbox-icon-close-white
{
   @include lightbox-icon-close;
   background-image: url("data:image/svg+xml;base64,PD94bWwgdmVyc2lvbj0iMS4wIj8+CjxzdmcgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIiB4bWxuczp4bGluaz0iaHR0cDovL3d3dy53My5vcmcvMTk5OS94bGluayIgdmVyc2lvbj0iMS4xIiBpZD0iQ2FwYV8xIiB4PSIwcHgiIHk9IjBweCIgdmlld0JveD0iMCAwIDI0MS4xNzEgMjQxLjE3MSIgc3R5bGU9ImVuYWJsZS1iYWNrZ3JvdW5kOm5ldyAwIDAgMjQxLjE3MSAyNDEuMTcxOyIgeG1sOnNwYWNlPSJwcmVzZXJ2ZSIgd2lkdGg9IjUxMnB4IiBoZWlnaHQ9IjUxMnB4IiBjbGFzcz0iIj48Zz48Zz4KCTxwYXRoIGlkPSJDbG9zZSIgZD0iTTEzOC4xMzgsMTIwLjc1NGw5OS4xMTgtOTguNTc2YzQuNzUyLTQuNzA0LDQuNzUyLTEyLjMxOSwwLTE3LjAxMWMtNC43NC00LjcwNC0xMi40MzktNC43MDQtMTcuMTc5LDAgICBsLTk5LjAzMyw5OC40OTJMMjEuMDk1LDMuNjk5Yy00Ljc0LTQuNzUyLTEyLjQzOS00Ljc1Mi0xNy4xNzksMGMtNC43NCw0Ljc2NC00Ljc0LDEyLjQ3NSwwLDE3LjIyN2w5OS44NzYsOTkuODg4TDMuNTU1LDIyMC40OTcgICBjLTQuNzQsNC43MDQtNC43NCwxMi4zMTksMCwxNy4wMTFjNC43NCw0LjcwNCwxMi40MzksNC43MDQsMTcuMTc5LDBsMTAwLjE1Mi05OS41OTlsOTkuNTUxLDk5LjU2MyAgIGM0Ljc0LDQuNzUyLDEyLjQzOSw0Ljc1MiwxNy4xNzksMGM0Ljc0LTQuNzY0LDQuNzQtMTIuNDc1LDAtMTcuMjI3TDEzOC4xMzgsMTIwLjc1NHoiIGRhdGEtb3JpZ2luYWw9IiMwMDAwMDAiIGNsYXNzPSJhY3RpdmUtcGF0aCIgZGF0YS1vbGRfY29sb3I9IiMwMDAwMDAiIGZpbGw9IiNGRkZGRkYiLz4KCTxnPgoJPC9nPgoJPGc+Cgk8L2c+Cgk8Zz4KCTwvZz4KCTxnPgoJPC9nPgoJPGc+Cgk8L2c+Cgk8Zz4KCTwvZz4KPC9nPjwvZz4gPC9zdmc+Cg==");
}

@mixin lightbox-icon-close-black
{
   @include lightbox-icon-close;
   background-image: url("data:image/svg+xml;base64,PD94bWwgdmVyc2lvbj0iMS4wIj8+CjxzdmcgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIiB4bWxuczp4bGluaz0iaHR0cDovL3d3dy53My5vcmcvMTk5OS94bGluayIgdmVyc2lvbj0iMS4xIiBpZD0iQ2FwYV8xIiB4PSIwcHgiIHk9IjBweCIgdmlld0JveD0iMCAwIDI0MS4xNzEgMjQxLjE3MSIgc3R5bGU9ImVuYWJsZS1iYWNrZ3JvdW5kOm5ldyAwIDAgMjQxLjE3MSAyNDEuMTcxOyIgeG1sOnNwYWNlPSJwcmVzZXJ2ZSIgd2lkdGg9IjUxMnB4IiBoZWlnaHQ9IjUxMnB4IiBjbGFzcz0iIj48Zz48Zz4KCTxwYXRoIGlkPSJDbG9zZSIgZD0iTTEzOC4xMzgsMTIwLjc1NGw5OS4xMTgtOTguNTc2YzQuNzUyLTQuNzA0LDQuNzUyLTEyLjMxOSwwLTE3LjAxMWMtNC43NC00LjcwNC0xMi40MzktNC43MDQtMTcuMTc5LDAgICBsLTk5LjAzMyw5OC40OTJMMjEuMDk1LDMuNjk5Yy00Ljc0LTQuNzUyLTEyLjQzOS00Ljc1Mi0xNy4xNzksMGMtNC43NCw0Ljc2NC00Ljc0LDEyLjQ3NSwwLDE3LjIyN2w5OS44NzYsOTkuODg4TDMuNTU1LDIyMC40OTcgICBjLTQuNzQsNC43MDQtNC43NCwxMi4zMTksMCwxNy4wMTFjNC43NCw0LjcwNCwxMi40MzksNC43MDQsMTcuMTc5LDBsMTAwLjE1Mi05OS41OTlsOTkuNTUxLDk5LjU2MyAgIGM0Ljc0LDQuNzUyLDEyLjQzOSw0Ljc1MiwxNy4xNzksMGM0Ljc0LTQuNzY0LDQuNzQtMTIuNDc1LDAtMTcuMjI3TDEzOC4xMzgsMTIwLjc1NHoiIGRhdGEtb3JpZ2luYWw9IiMwMDAwMDAiIGNsYXNzPSJhY3RpdmUtcGF0aCIgZGF0YS1vbGRfY29sb3I9IiMwMDAwMDAiIGZpbGw9IiNGRkZGRkYiLz4KCTxnPgoJPC9nPgoJPGc+Cgk8L2c+Cgk8Zz4KCTwvZz4KCTxnPgoJPC9nPgoJPGc+Cgk8L2c+Cgk8Zz4KCTwvZz4KPC9nPjwvZz4gPC9zdmc+Cg==");
}
*/
/*.module[data-type="picture_text"]
{
   .module-column
   {
      .module-text
      {
         @include mq($breakpoint-xl)
         {
            //margin-top: 5rem;
            max-width: 40vw;
            margin-left: auto;
         }

         @include any-text
         {
            text-align: center;

            @include mq($breakpoint-xl)
            {
               text-align: left;
            }
         }
      }

      .module-picture
      {
         !*.img-wrapper
         {
            width: 25rem;
            max-width: 96%;
            margin: auto;

            @include mq($breakpoint-xl)
            {
               width: auto;
               max-width: initial;
            }
         }*!
      }

      .module-text, .module-picture
      {
         > .module-menu
         {
            top: 1.5rem;
         }
      }

      @include mq($breakpoint-xl)
      {
         &[data-column-position="1"]
         {
            .module-picture
            {
               .img-wrapper
               {
                  padding-left: 5rem;
               }
            }
         }

         &[data-column-position="0"]
         {
            .module-picture
            {
               .img-wrapper
               {
                  padding-right: 5rem;
               }
            }

            .module-text
            {
               @include any-text
               {
                  @include mq($breakpoint-xl)
                  {
                     text-align: right;
                  }
               }
            }
         }
      }
   }

   // picture left or first
   &[data-content-order="picture-text"]
   {

   }

   // text left or first
   &[data-content-order="text-picture"]
   {
      .module-column[data-column-position="0"]
      {
         @include mq-until($breakpoint-xl)
         {
            order: 2;
         }
      }
   }

   &[data-style-element="enabled_on_picture"]
   {
      &[data-content-order="picture-text"]
      {
         .module-text{
            padding-left: $deco-offset / 2;
         }
      }

      &[data-content-order="text-picture"]
      {
         .module-text{
            padding-right: $deco-offset / 2;
         }
      }

      .module-picture
      {
         @include mq($breakpoint-xl)
         {
            margin-top: $deco-offset;
         }

         &::before
         {
            content: "";
            width: calc(50% - (5rem / 2));
            height: $deco-offset / 3.5;
            display: block;
            position: absolute;
            //bottom: 110%;
            bottom: calc(100% + (5rem / 4));
            border-top: $deco-border solid $color-white;

            @include media-breakpoint-down($breakpoint-xl)
            {
               display: none;
            }
         }
      }

      .module-column[data-column-position="0"]
      {
         .module-picture
         {
            &::before
            {
               border-left: $deco-border solid $color-white;
               //left: 75%;
               //right: $deco-offset * -1;
               //left: calc(40% + (5rem / 2));
               left: 50%;
            }
         }
      }

      .module-column[data-column-position="1"]
      {
         .module-picture
         {
            &::before
            {
               border-right: $deco-border solid $color-white;
               //right: 75%;
               //left: $deco-offset * -1;
               //right: calc(40% + (5rem / 2));
               right: 50%;
            }
         }
      }
   }

   &[data-style-element="enabled_on_text"]
   {
      .module-text
      {
         @include mq($breakpoint-xl)
         {
            margin-top: $deco-offset;
         }

         &::before
         {
            content: "";
            width: 40%;
            height: 2rem;
            display: block;
            position: absolute;
            bottom: 110%;
            border-top: $deco-border solid $color-white;

            @include media-breakpoint-down($breakpoint-xl)
            {
               display: none;
            }
         }

         &[data-text-uppercase]
         {
            .element *
            {
               text-transform: uppercase;
            }
         }
      }

      .module-column[data-column-position="0"]
      {
         .module-text
         {
            &[data-text-style-element]::before
            {
               border-left: $deco-border solid $color-white;
               //left: 75%;
               right: $deco-offset * -1;
            }
         }
      }

      .module-column[data-column-position="1"]
      {
         .module-text
         {
            &[data-text-style-element]::before
            {
               border-right: $deco-border solid $color-white;
               //right: 75%;
               left: $deco-offset * -1;
            }
         }
      }
   }
}*/

/*# sourceMappingURL=data:application/json;charset=utf-8,%7B%22version%22:3,%22sourceRoot%22:%22%22,%22sources%22:%5B%22../../../../system/CrayssnLabs/Base/_resources/scss/utilities/mixins/component/_lightbox.scss%22,%22compile.scss%22%5D,%22names%22:%5B%5D,%22mappings%22:%22AAkBA;AAAA;AAAA;AAAA;AAAA;AAAA;;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;ACVA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;;AAAA;AAAA;AAAA;;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;;AAAA;AAAA;AAAA;;AAAA;;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;;AAAA;AAAA;AAAA;AAAA;AAAA;;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA%22,%22file%22:%22output-690512c26a274.css%22%7D */
